Bug 1145056 - hivexml generate "Argument list too long" on some Windows Registry
Summary: hivexml generate "Argument list too long" on some Windows Registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: hivex
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 09:53 UTC by Wei Shi
Modified: 2015-03-05 13:42 UTC (History)
3 users (show)

Fixed In Version: hivex-1.3.10-5.3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 13:42:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0301 0 normal SHIPPED_LIVE Moderate: hivex security, bug fix, and enhancement update 2015-03-05 17:34:28 UTC

Description Wei Shi 2014-09-22 09:53:12 UTC
Description of problem:
hivex generate "Argument list too long" on some Windows Registry(XP 32bit, 2003 32bit, 2003 64bit)
It works well on the same hive file with hivex-1.3.8-4.el7.x86_64

Version-Release number of selected component (if applicable):
hivex-1.3.10-5.2.el7.x86_64


How reproducible:
100%


Steps to Reproduce:
1. extract hive file from Windows image
2. dumpxml with hivexml
# hivexml WinXP-32-hvm.software > /dev/null
WinXP-32-hvm.software: Argument list too long


Actual results:
# hivexml WinXP-32-hvm.software > /dev/null
WinXP-32-hvm.software: Argument list too long


Expected results:
No error outputs


Additional info:

Comment 3 Richard W.M. Jones 2014-09-22 14:13:07 UTC
Upstream fix:

https://github.com/libguestfs/hivex/commit/9763f96a1374486c7d00ea5c04b8048fe69e63f3
https://github.com/libguestfs/hivex/commit/914d9b9a91babf0227989bc7ea00cf5e41ed7da4

The first patch is the required fix.  The second one
cleans up the hokey error handling in hivexml a bit.

Comment 4 Richard W.M. Jones 2014-09-22 14:13:44 UTC
I need PM-ack to commit this.

Comment 6 Wei Shi 2014-11-10 06:57:40 UTC
Verified:
 hivex-1.3.10-5.3.el7.x86_64

No error output from
# hivexml software.xp.32 > /dev/null

Comment 7 Richard W.M. Jones 2014-11-20 21:45:29 UTC
A similar case was reported on the mailing list today:

https://www.redhat.com/archives/libguestfs/2014-November/msg00133.html

I have fixed it upstream and will include the fix in hivex
in RHEL 7.  The fix seems like it should be completely safe:

https://github.com/libguestfs/hivex/commit/4b3c3cd2b3d8d34601979feeb1390fddd442ab04

It's hard to reproduce unless you have the precise Windows XP
version from the reporter which used a French copy of Citrix.

Comment 9 errata-xmlrpc 2015-03-05 13:42:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0301.html


Note You need to log in before you can comment on or make changes to this bug.